extends ../layout

block scripts
    script(src='https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.23.0/moment.min.js')
    script(src='/css/app/js/dashboard.js')
    script(type='text/javascript').

        const dataActivity = JSON.parse(("#{activityData.chart}").replace(/&quot;/g,'"'));

        const ctx = document.getElementById('chart_activities_post').getContext('2d');
        console.log(dataActivity);
        const gradient = ctx.createLinearGradient(0, 0, 0, 240);
        gradient.addColorStop(0, Chart.helpers.color('#e14c86').alpha(1).rgbString());
        gradient.addColorStop(1, Chart.helpers.color('#e14c86').alpha(0.3).rgbString());

        const config = {
            type: 'line',
            data: {
                labels: dataActivity.date,
                datasets: [{
                    label: 'Actions: ',
                    backgroundColor: gradient,
                    borderColor: '#e13a58',

                    pointBackgroundColor: Chart.helpers.color('#000000').alpha(0).rgbString(),
                    pointBorderColor: Chart.helpers.color('#000000').alpha(0).rgbString(),
                    pointHoverBackgroundColor: mApp.getColor('light'),
                    pointHoverBorderColor: Chart.helpers.color('#ffffff').alpha(0.1).rgbString(),

                    data: dataActivity.count
                }]
            },
            options: {
                title: {
                    display: false,
                },
                tooltips: {
                    mode: 'nearest',
                    intersect: false,
                    position: 'nearest',
                    xPadding: 10,
                    yPadding: 10,
                    caretPadding: 10
                },
                legend: {
                    display: false
                },
                responsive: true,
                maintainAspectRatio: false,
                scales: {
                    xAxes: [{
                    display: false,
                    gridLines: false,
                    scaleLabel: {
                        display: true,
                        labelString: 'Month'
                    }
                }],
                yAxes: [{
                    display: false,
                    gridLines: false,
                    scaleLabel: {
                        display: true,
                        labelString: 'Actions'
                    },
                    ticks: {
                        beginAtZero: true
                    }
                }]
            },
            elements: {
                line: {
                    tension: 0.0000001
                },
                point: {
                    radius: 4,
                    borderWidth: 12
                }
            },
            layout: {
                padding: {
                    left: 0,
                    right: 0,
                    top: 10,
                    bottom: 0
                }
            }
        }};

        const chartActivity = new Chart(ctx, config);
        var reviewsData = JSON.parse(("#{reviewsData.chart}").replace(/&quot;/g,'"'));
        if ( reviewsData === 0  ) {
          $("#chartReviews")[0].parentNode.innerHTML = '<div class="m-widget4__chart m-portlet-fit--sides m--margin-top-10 m--margin-top-20" style="height:260px;>"' +
              '<div style="text-align: center;"><h3 style="padding: 4.3em;"> There are no reviews published yet, come back in few days.. </h3></div>' +
              '</div>';
        } else if (reviewsData.date.length < 2) {
          $("#chartReviews")[0].parentNode.innerHTML = '<div class="m-widget4__chart m-portlet-fit--sides m--margin-top-10 m--margin-top-20" style="height:260px;>"' +
              '<div style="text-align: center;"><h3 style="padding: 4.3em;"> Reviews are published today, come back in few days..</h3></div>' +
              '</div>';
        } else {
          var e = document.getElementById("chartReviews").getContext("2d"),
              t = e.createLinearGradient(0, 0, 0, 240);
          t.addColorStop(0, Chart.helpers.color("#00c5dc").alpha(.7).rgbString()), t.addColorStop(1, Chart.helpers.color("#f2feff").alpha(0).rgbString());
          var a = {
            type: "line",
            data: {
              labels: reviewsData.date,
              datasets: [{
                label: "Reviews Published",
                backgroundColor: t,
                borderColor: "#0dc8de",
                pointBackgroundColor: Chart.helpers.color("#ffffff").alpha(0).rgbString(),
                pointBorderColor: Chart.helpers.color("#ffffff").alpha(0).rgbString(),
                pointHoverBackgroundColor: mApp.getColor("danger"),
                pointHoverBorderColor: Chart.helpers.color("#000000").alpha(.2).rgbString(),
                data: reviewsData.count
              }]
            },
            options: {
              title: {
                display: !1
              },
              tooltips: {
                intersect: !1,
                mode: "nearest",
                xPadding: 10,
                yPadding: 10,
                caretPadding: 10
              },
              legend: {
                display: !1
              },
              responsive: !0,
              maintainAspectRatio: !1,
              hover: {
                mode: "index"
              },
              scales: {
                xAxes: [{
                  display: !1,
                  gridLines: !1,
                  scaleLabel: {
                    display: !0,
                    labelString: "Month"
                  }
                }],
                yAxes: [{
                  display: !1,
                  gridLines: !1,
                  scaleLabel: {
                    display: !0,
                    labelString: "Count"
                  },
                  ticks: {
                    beginAtZero: !0
                  }
                }]
              },
              elements: {
                line: {
                  tension: .19
                },
                point: {
                  radius: 4,
                  borderWidth: 12
                }
              },
              layout: {
                padding: {
                  left: 0,
                  right: 0,
                  top: 5,
                  bottom: 0
                }
              }
            }
          };
          var chartReviews = new Chart(e, a);
        }

        var publicationsData = JSON.parse(("#{publicationData.piechart}").replace(/&quot;/g,'"'));
        if (publicationsData.first !== null ){
          new Chartist.Pie("#m_chart_publications_quater_1", {
            series: publicationsData.first,
            labels: [1, 2, 3, 4]
          }, {
            donut: !0,
            donutWidth: 17,
            showLabel: !1
          }).on("draw", function (e) {
            if ("slice" === e.type) {
              var t = e.element._node.getTotalLength();
              e.element.attr({
                "stroke-dasharray": t + "px " + t + "px"
              });
              var a = {
                "stroke-dashoffset": {
                  id: "anim" + e.index,
                  dur: 1e3,
                  from: -t + "px",
                  to: "0px",
                  easing: Chartist.Svg.Easing.easeOutQuint,
                  fill: "freeze",
                  stroke: e.meta.color
                }
              };
              0 !== e.index && (a["stroke-dashoffset"].begin = "anim" + (e.index - 1) + ".end"), e.element.attr({
                "stroke-dashoffset": -t + "px",
                stroke: e.meta.color
              }), e.element.animate(a, !1)
            }
          }).on("created", function () {
            window.__anim21278907124 && (clearTimeout(window.__anim21278907124), window.__anim21278907124 = null), window.__anim21278907124 = setTimeout(e.update.bind(e), 15e3)
          });

          new Chartist.Pie("#m_chart_publications_quater_2", {
            series: publicationsData.second,
            labels: [1, 2, 3, 4]
          }, {
            donut: !0,
            donutWidth: 17,
            showLabel: !1
          }).on("draw", function (e) {
            if ("slice" === e.type) {
              var t = e.element._node.getTotalLength();
              e.element.attr({
                "stroke-dasharray": t + "px " + t + "px"
              });
              var a = {
                "stroke-dashoffset": {
                  id: "anim" + e.index,
                  dur: 1e3,
                  from: -t + "px",
                  to: "0px",
                  easing: Chartist.Svg.Easing.easeOutQuint,
                  fill: "freeze",
                  stroke: e.meta.color
                }
              };
              0 !== e.index && (a["stroke-dashoffset"].begin = "anim" + (e.index - 1) + ".end"), e.element.attr({
                "stroke-dashoffset": -t + "px",
                stroke: e.meta.color
              }), e.element.animate(a, !1)
            }
          }).on("created", function () {
            window.__anim212789071241111 && (clearTimeout(window.__anim212789071241111), window.__anim212789071241111 = null), window.__anim212789071241111 = setTimeout(e.update.bind(e), 15e3)
          });

          new Chartist.Pie("#m_chart_personal_income_quater_3", {
            series: publicationsData.third,
            labels: [1, 2, 3, 4]
          }, {
            donut: !0,
            donutWidth: 17,
            showLabel: !1
          }).on("draw", function (e) {
            if ("slice" === e.type) {
              var t = e.element._node.getTotalLength();
              e.element.attr({
                "stroke-dasharray": t + "px " + t + "px"
              });
              var a = {
                "stroke-dashoffset": {
                  id: "anim" + e.index,
                  dur: 1e3,
                  from: -t + "px",
                  to: "0px",
                  easing: Chartist.Svg.Easing.easeOutQuint,
                  fill: "freeze",
                  stroke: e.meta.color
                }
              };
              0 !== e.index && (a["stroke-dashoffset"].begin = "anim" + (e.index - 1) + ".end"), e.element.attr({
                "stroke-dashoffset": -t + "px",
                stroke: e.meta.color
              }), e.element.animate(a, !1)
            }
          }).on("created", function () {
            window.__anim212789071241111 && (clearTimeout(window.__anim212789071241111), window.__anim212789071241111 = null), window.__anim212789071241111 = setTimeout(e.update.bind(e), 15e3)
          });

          new Chartist.Pie("#m_chart_publications_quater_4", {
            series: publicationsData.fourth,
            labels: [1, 2, 3, 4]
          }, {
            donut: !0,
            donutWidth: 17,
            showLabel: !1
          }).on("draw", function (e) {
            if ("slice" === e.type) {
              var t = e.element._node.getTotalLength();
              e.element.attr({
                "stroke-dasharray": t + "px " + t + "px"
              });
              var a = {
                "stroke-dashoffset": {
                  id: "anim" + e.index,
                  dur: 1e3,
                  from: -t + "px",
                  to: "0px",
                  easing: Chartist.Svg.Easing.easeOutQuint,
                  fill: "freeze",
                  stroke: e.meta.color
                }
              };
              0 !== e.index && (a["stroke-dashoffset"].begin = "anim" + (e.index - 1) + ".end"), e.element.attr({
                "stroke-dashoffset": -t + "px",
                stroke: e.meta.color
              }), e.element.animate(a, !1)
            }
          }).on("created", function () {
            window.__anim212789071241111 && (clearTimeout(window.__anim212789071241111), window.__anim212789071241111 = null), window.__anim212789071241111 = setTimeout(e.update.bind(e), 15e3)
          });


        }




block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        // BEGIN: Subheader
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title Dashboard
        // END: Subheader
        .m-content
            // Begin::Section
            .row
                .col-xl-3
                    // begin:: Widgets/Activity
                    .m-portlet.m-portlet--bordered-semi.m-portlet--widget-fit.m-portlet--full-height.m-portlet--skin-light.m-portlet--rounded-force
                        .m-portlet__head
                            .m-portlet__head-caption
                                .m-portlet__head-title
                                    h3.m-portlet__head-text.m--font-light
                                        | Activity
                            .m-portlet__head-tools
                                ul.m-portlet__nav
                                    li.m-portlet__nav-item.m-dropdown.m-dropdown--inline.m-dropdown--arrow.m-dropdown--align-right.m-dropdown--align-push(m-dropdown-toggle='hover')
                                        a.m-portlet__nav-link.m-portlet__nav-link--icon.m-portlet__nav-link--icon-xl(href='#')
                                            i.fa.fa-genderless.m--font-light
                        .m-portlet__body
                            .m-widget17
                                .m-widget17__visual.m-widget17__visual--chart.m-portlet-fit--top.m-portlet-fit--sides.m--bg-danger
                                  .m-widget17__chart(style='height:320px;')
                                    canvas#chart_activities_post
                                .m-widget17__stats
                                    .m-widget17__items.m-widget17__items-col1
                                        .m-widget17__item
                                            span.m-widget17__icon
                                                i.flaticon-truck.m--font-brand
                                            span.m-widget17__subtitle
                                                |  Updated
                                            span.m-widget17__desc
                                                |  #{activityData.stats.updatedAccounts} items updates
                                            input#csrftoken(type="hidden" name="csrf" value=_csrf)
                                        .m-widget17__item
                                            span.m-widget17__icon
                                                i.flaticon-paper-plane.m--font-info
                                            span.m-widget17__subtitle
                                                |  Data
                                            span.m-widget17__desc
                                                |  #{activityData.stats.publishedReviews} have been published
                                    .m-widget17__items.m-widget17__items-col2
                                        .m-widget17__item
                                            span.m-widget17__icon
                                                i.flaticon-pie-chart.m--font-success
                                            span.m-widget17__subtitle
                                                | Employees
                                            span.m-widget17__desc
                                                |  #{activityData.stats.employeeCount} Added
                                        .m-widget17__item
                                            span.m-widget17__icon
                                                i.flaticon-time.m--font-danger
                                            span.m-widget17__subtitle
                                                |  Logging track
                                            span.m-widget17__desc
                                                |   #{activityData.stats.loginCount} logging times
                    // end:: Widgets/Activity
                .col-xl-5
                    // begin:: Widgets/Top Products
                    .m-portlet.m-portlet--bordered-semi.m-portlet--full-height
                        .m-portlet__head
                            .m-portlet__head-caption
                                .m-portlet__head-title
                                    h3.m-portlet__head-text
                                        | Reviews
                        .m-portlet__body
                            // begin::Widget5
                            .m-widget4
                                .m-widget4__chart.m-portlet-fit--sides.m--margin-top-10.m--margin-top-20(style='height:260px;')
                                    canvas#chartReviews
                                if(reviewsData.list == 0)
                                    .m-widget4__item
                                        .m-widget4__info
                                            span.m-widget4__title
                                                | Waiting for reviews to be added
                                            br
                                            span.m-widget4__sub
                                                | Average grading of employees in reviews group
                                        span.m-widget4__ext
                                            span.m-widget4__number.m--font-danger 0.0
                                else
                                    each perf in reviewsData.list
                                        .m-widget4__item
                                            .m-widget4__info
                                                span.m-widget4__title
                                                    | #{perf.performance}
                                                br
                                                span.m-widget4__sub
                                                    | Average grading of employees in #{perf.performance} group
                                            span.m-widget4__ext
                                                span.m-widget4__number.m--font-danger #{perf.average}
                            // end::Widget 5
                    // end:: Widgets/Top Products
                .col-xl-4
                    // begin:: Widgets/Blog
                    .m-portlet.m-portlet--head-overlay.m-portlet--full-height.m-portlet--rounded-force
                        .m-portlet__head.m-portlet__head--fit-
                            .m-portlet__head-caption
                                .m-portlet__head-title
                                    h3.m-portlet__head-text.m--font-light
                                        | Publications
                        .m-portlet__body
                            .m-widget27.m-portlet-fit--sides
                                .m-widget27__pic
                                    img(src='css/app/media/img//bg/bg-4.jpg' alt='')
                                    h3.m-widget27__title.m--font-light
                                        span
                                            span
                                            | #{publicationCount || 0}
                                    .m-widget27__btn
                                        button.btn.m-btn--pill.btn-secondary.m-btn.m-btn--custom.m-btn--bolder(type='button') Inclusive All Publications
                                .m-widget27__container
                                    // begin::Nav pills
                                    ul.m-widget27__nav-items.nav.nav-pills.nav-fill(role='tablist')
                                        li.m-widget27__nav-item.nav-item
                                            a.nav-link.active(data-toggle='pill' href='#m_publications_quater_1') Quater 1
                                        li.m-widget27__nav-item.nav-item
                                            a.nav-link(data-toggle='pill' href='#m_publications_quater_2') Quater 2
                                        li.m-widget27__nav-item.nav-item
                                            a.nav-link(data-toggle='pill' href='#m_publications_quater_3') Quater 3
                                        li.m-widget27__nav-item.nav-item
                                            a.nav-link(data-toggle='pill' href='#m_publications_quater_4') Quater 4
                                    // end::Nav pills
                                    // begin::Tab Content
                                    .m-widget27__tab.tab-content.m-widget27--no-padding
                                        if(publicationData.stats === null)
                                            #m_publications_quater_1.tab-pane.active
                                                .row.align-items-center
                                                    .col
                                                        #m_chart_publications_quater_1.m-widget27__chart(style='height: 160px')
                                                            .m-widget27__stat Undefined
                                                    .col
                                                        .m-widget27__legends
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-brand
                                                                span.m-widget27__legend-text 0% Average
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-warning
                                                                span.m-widget27__legend-text 0% Optimum
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-danger
                                                                span.m-widget27__legend-text 0% Underperformance
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-fill-danger
                                                                span.m-widget27__legend-text 0% No performance
                                            #m_ppublications_quater_2.tab-pane.fade
                                                .row.align-items-center
                                                    .col
                                                        #m_chart_publications_quater_2.m-widget27__chart(style='height: 160px')
                                                            .m-widget27__stat Total
                                                    .col
                                                        .m-widget27__legends
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-accent
                                                                span.m-widget27__legend-text 0% Average
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-warning
                                                                span.m-widget27__legend-text 0% Optimum
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-brand
                                                                span.m-widget27__legend-text 0% Underperformance
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-danger
                                                                span.m-widget27__legend-text 0% No performance
                                            #m_publications_quater_3.tab-pane.fade
                                                .row.align-items-center
                                                    .col
                                                        #m_chart_publications_quater_3.m-widget27__chart(style='height: 160px')
                                                            .m-widget27__stat Total
                                                    .col
                                                        .m-widget27__legends
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-accent
                                                                span.m-widget27__legend-text 0% Average
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-warning
                                                                span.m-widget27__legend-text 0% Optimum
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-brand
                                                                span.m-widget27__legend-text 0% Underperformance
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-danger
                                                                span.m-widget27__legend-text 0% No performance
                                            #m_publications_quater_4.tab-pane.fade
                                                .row.align-items-center
                                                    .col
                                                        #m_chart_publications_quater_4.m-widget27__chart(style='height: 160px')
                                                            .m-widget27__stat Total
                                                    .col
                                                        .m-widget27__legends
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-accent
                                                                span.m-widget27__legend-text 0% Average
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-warning
                                                                span.m-widget27__legend-text 0% Optimum
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-brand
                                                                span.m-widget27__legend-text 0% Underperformance
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-danger
                                                                span.m-widget27__legend-text 0% No performance
                                        else
                                            #m_publications_quater_1.tab-pane.active
                                                .row.align-items-center
                                                    .col
                                                        #m_chart_publications_quater_1.m-widget27__chart(style='height: 160px')
                                                            .m-widget27__stat Total
                                                    .col
                                                        .m-widget27__legends
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-success
                                                                span.m-widget27__legend-text #{publicationData.stats.first[0].value || 0}% Average
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-warning
                                                                span.m-widget27__legend-text #{publicationData.stats.first[1].value || 0}% Optimum
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-danger
                                                                span.m-widget27__legend-text #{publicationData.stats.first[2].value || 0}% Underperformance
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-brand
                                                                span.m-widget27__legend-text #{publicationData.stats.first[3].value || 0}% No performance
                                            #m_publications_quater_2.tab-pane.fade
                                                .row.align-items-center
                                                    .col
                                                        #m_chart_publications_quater_2.m-widget27__chart(style='height: 160px')
                                                            .m-widget27__stat Total
                                                    .col
                                                        .m-widget27__legends
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-success
                                                                span.m-widget27__legend-text #{publicationData.stats.second[0].value || 0}% Average
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-warning
                                                                span.m-widget27__legend-text #{publicationData.stats.second[1].value || 0}% Optimum
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-danger
                                                                span.m-widget27__legend-text #{publicationData.stats.second[2].value || 0}% Underperformance
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-brand
                                                                span.m-widget27__legend-text #{publicationData.stats.second[3].value || 0}% No performance
                                            #m_publications_quater_3.tab-pane.fade
                                                .row.align-items-center
                                                    .col
                                                        #m_chart_publications_quater_3.m-widget27__chart(style='height: 160px')
                                                            .m-widget27__stat Total
                                                    .col
                                                        .m-widget27__legends
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-success
                                                                span.m-widget27__legend-text #{publicationData.stats.third[0].value || 0}% Average
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-warning
                                                                span.m-widget27__legend-text #{publicationData.stats.third[1].value || 0}% Optimum
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-danger
                                                                span.m-widget27__legend-text #{publicationData.stats.third[2].value || 0}% Underperformance
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-brand
                                                                span.m-widget27__legend-text #{publicationData.stats.third[3].value || 0}% No performance
                                            #m_publications_quater_4.tab-pane.fade
                                                .row.align-items-center
                                                    .col
                                                        #m_chart_publications_quater_4.m-widget27__chart(style='height: 160px')
                                                            .m-widget27__stat Total
                                                    .col
                                                        .m-widget27__legends
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-success
                                                                span.m-widget27__legend-text #{publicationData.stats.fourth[0].value || 0}% Average
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-warning
                                                                span.m-widget27__legend-text #{publicationData.stats.fourth[1].value || 0}% Optimum
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-danger
                                                                span.m-widget27__legend-text #{publicationData.stats.fourth[2].value || 0}% Underperformance
                                                            .m-widget27__legend
                                                                span.m-widget27__legend-bullet.m--bg-brand
                                                                span.m-widget27__legend-text #{publicationData.stats.fourth[3].value || 0}% No performance
                                    // end::Tab Content
                    // end:: Widgets/Blog
            // End::Section
            // Begin::Section
            .row
                .col-xl-12
                    // begin:: Widgets/Best Sellers
                    .m-portlet.m-portlet--full-height
                        .m-portlet__head
                            .m-portlet__head-caption
                                .m-portlet__head-title
                                    h3.m-portlet__head-text
                                        | Best Performers
                            .m-portlet__head-tools
                                ul.nav.nav-pills.nav-pills--brand.m-nav-pills--align-right.m-nav-pills--btn-pill.m-nav-pills--btn-sm(role='tablist')
                                    li.nav-item.m-tabs__item
                                        a.nav-link.m-tabs__link.active(data-toggle='tab' href='#m_widget5_tab1_content' role='tab')
                                            | Top 15
                        .m-portlet__body
                            // begin::Content
                            .tab-content
                                #m_widget5_tab1_content.tab-pane.active(aria-expanded='true')
                                    // begin::m-widget5
                                    if(!topPerformers)
                                        .m-widget5
                                            .m-widget5__item
                                                .m-widget5__content
                                                    .m-widget5__section
                                                        h4.m-widget5__title
                                                            | Please add employees
                                                        span.m-widget5__desc
                                                            | Add reviews and publications as well.
                                                .m-widget5__content
                                                    .m-widget5__stats1
                                                        span.m-widget5__number 0
                                                        br
                                                        span.m-widget5__sales Publications Average
                                                .m-widget5__stats1
                                                    span.m-widget5__number 0
                                                    br
                                                    span.m-widget5__sales Reviews Average
                                    else
                                        each performer in topPerformers
                                            .m-widget5
                                                .m-widget5__item
                                                    .m-widget5__content
                                                        .m-widget5__section
                                                            h4.m-widget5__title
                                                                | #{performer.name}
                                                            span.m-widget5__desc
                                                                | #{performer.email}
                                                    .m-widget5__content
                                                        .m-widget5__stats1
                                                            span.m-widget5__number #{performer.PubAverage}
                                                            br
                                                            span.m-widget5__sales Publications Average

                                                        .m-widget5__stats2
                                                            span.m-widget5__number #{performer.reviewAverage}
                                                            br
                                                            span.m-widget5__sales Reviews Average
                                    // end::m-widget5
                            // end::Content
                    // end:: Widgets/Best Sellers
            // End::Section

